package com.mobvcasting.alarmclock;

import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.widget.TextView;


public class AlarmClock extends Activity {

	Activity mainContext = this;
	
	int hoursFromNow = 0;
	int minutesFromNow = 1;
	int secondsFromNow = 0;
		
	//TextView alarmTextView;
	Handler alarmHandler = new Handler();
	Timer alarmTimer;
	Date alarmTime;
	
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Time for alarm to go off
        // http://developer.android.com/reference/java/util/Date.html
        alarmTime = new Date(2009 - 1900, 2, 29, 12, 58);

        alarmTimer = new Timer();
        alarmTimer.schedule(new TimerTask() 
        {       	
        	public void run()
        	{
        		alarmHandler.post(
        			new Runnable()
        			{
        				public void run()
        				{
        					// What to do when alarm goes off...
                    		TextView alarmTextView = new TextView(mainContext);
                    		alarmTextView.setText("Hello, Time to wake up");
                    		mainContext.setContentView(alarmTextView);        					
        				}
        			}
        		);
        	}
        }, alarmTime);
        
        setContentView(R.layout.main);
    }
 }